EC5Util (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.asymmetric.util

## Class EC5Util

- java.lang.Object
- - org.bouncycastle.jcajce.provider.asymmetric.util.EC5Util

-     public class EC5Util
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EC5Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.security.spec.EllipticCurve` | `convertCurve(ECCurve curve, byte[] seed)`
    `static ECCurve` | `convertCurve(java.security.spec.EllipticCurve ec)`
    `static ECPoint` | `convertPoint(ECCurve curve, java.security.spec.ECPoint point, boolean withCompression)`
    `static ECPoint` | `convertPoint(java.security.spec.ECParameterSpec ecSpec, java.security.spec.ECPoint point, boolean withCompression)`
    `static ECParameterSpec` | `convertSpec(java.security.spec.ECParameterSpec ecSpec, boolean withCompression)`
    `static java.security.spec.ECParameterSpec` | `convertSpec(java.security.spec.EllipticCurve ellipticCurve, ECParameterSpec spec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EC5Util

          public EC5Util()

  - ### Method Detail

    - #### convertCurve

          public static java.security.spec.EllipticCurve convertCurve(ECCurve curve,
                                                      byte[] seed)

    - #### convertCurve

          public static ECCurve convertCurve(java.security.spec.EllipticCurve ec)

    - #### convertSpec

          public static java.security.spec.ECParameterSpec convertSpec(java.security.spec.EllipticCurve ellipticCurve,
                                                       ECParameterSpec spec)

    - #### convertSpec

          public static ECParameterSpec convertSpec(java.security.spec.ECParameterSpec ecSpec,
                                    boolean withCompression)

    - #### convertPoint

          public static ECPoint convertPoint(java.security.spec.ECParameterSpec ecSpec,
                             java.security.spec.ECPoint point,
                             boolean withCompression)

    - #### convertPoint

          public static ECPoint convertPoint(ECCurve curve,
                             java.security.spec.ECPoint point,
                             boolean withCompression)